package com.micer.easyball.pojo.Dto;

import com.micer.easyball.pojo.ClubPlayer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ClubPlayerDto extends ClubPlayer
{
    /**
     * 球员名
     */
    private String playerName;

    /**
     * 电话号码
     */
    private String telephone;

    public ClubPlayerDto(ClubPlayer clubPlayer)
    {
        this.setId(clubPlayer.getId());
        this.setPlayerId(clubPlayer.getPlayerId());
        this.setClubId(clubPlayer.getClubId());
        this.setRole(clubPlayer.getRole());
        this.setCreateAt(clubPlayer.getCreateAt());
        this.setIsEnable(clubPlayer.getIsEnable());
    }

}
